<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * X-Cart
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the software license agreement
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.x-cart.com/license-agreement.html
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to licensing@x-cart.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not modify this file if you wish to upgrade X-Cart to newer versions
 * in the future. If you wish to customize X-Cart for your needs please
 * refer to http://www.x-cart.com/ for more information.
 *
 * @category  X-Cart 5
 * @author    Qualiteam software Ltd <info@x-cart.com>
 * @copyright Copyright (c) 2011-2013 Qualiteam software Ltd <info@x-cart.com>. All rights reserved
 * @license   http://www.x-cart.com/license-agreement.html X-Cart 5 License Agreement
 * @link      http://www.x-cart.com/
 */

namespace XLite\Module\Baby\DropDown\View\Menu\Admin;

/**
 * Top menu widget
 */
class TopMenu extends \XLite\View\Menu\Admin\TopMenu implements \XLite\Base\IDecorator
{
    /**
     * Define items
     *
     * @return array
     */
    protected function defineItems()
    {
        $list = parent::defineItems();

        if (!isset($list['content'])) {
            $list['content'] = array(
                self::ITEM_TITLE      => 'Content',
                self::ITEM_TARGET     => drop_down,
                self::ITEM_WEIGHT     => 800,
                self::ITEM_CHILDREN   => array(),
            );
        } 

		if (isset($list['content'])) {
			$list['content'][static::ITEM_CHILDREN]['drop_down&root=Y'] = array(
				static::ITEM_TITLE  => 'Drop down menu',
                static::ITEM_TARGET => 'drop_down',
            );
		}

		return $list;
    }
}